#!/usr/bin/perl

  require '../../apache-lib.pl';
  require '../../../guardiandigital-lib.pl';
  &ReadParse();

  $i = 0;
  foreach $dir (glob "/home/httpd/*") {
    if ( -e "$dir/conf/site.pm" ) {
      do "$dir/conf/site.pm";
      $conf[$i++]->{'site_config'} = &setsite();
    }
  }


  ### Good ol' header.
  &header("Edit a Store", 0, 0);

print <<EOF01;
<FORM ACTION=delete_stores.cgi METHOD=POST>
<CENTER><TABLE BORDER="0" WIDTH="620" CELLPADDING="0" CELLSPACING=0>
  <TR $tb><TD COLSPAN=2><DIV CLASS=ttitle><B>Edit a Store</B></DIV></TD></TR>
  <TR $cb><TD COLSPAN=2><DIV CLASS=nbody>
    Below you can edit or remove a store.
EOF01


  if (@conf) {
    print <<EOF02;
    <P><B>Clicking on "Delete Selected Store" will bring you to a confirmation screen.</B>
  </TD></TR>

 <TR $cb><TD COLSPAN=2>&nbsp;</TD></TR>
  <TR $cb>
    <TD WIDTH=20>&nbsp;</TD>
    <TD>
    <TABLE BORDER=0 WIDTH=100% CELLSPACING=0 CELLPADDING=0>

EOF02

  foreach $c (@conf) {
    my $sitename  = $c->{'site_config'}->{'sitename'};
    my $directory = "/home/httpd/" . $c->{'site_config'}->{'fsrelativeroot'};
    my $webmaster = $c->{'site_config'}->{'webmaster_email_address'};
    my $dbi_user  = $c->{'site_config'}->{'site_dbiuser'};
    my $store     = $c->{'site_config'}->{'fsrelativeroot'};
    my $payproc   = $c->{'site_config'}->{'payprocess'};

    print <<EOF02;

      <TR $tb><TD COLSPAN="2">
        <DIV CLASS="thead"><B>$sitename</B></DIV>
      </TD></TR>

      <TR $cb>
        <TD><DIV CLASS=nbody><B>Directory</B></DIV></TD>
        <TD><DIV CLASS=nbody>$directory</DIV></TD>
      </TR>

      <TR $cb>
        <TD><DIV CLASS=nbody><B>Webmaster</B></DIV></TD>
        <TD><DIV CLASS=nbody>$webmaster</DIV></TD>
      </TR>

      <TR $cb>
        <TD><DIV CLASS=nbody><B>Database Username</B></DIV></TD>
        <TD><DIV CLASS=nbody>$dbi_user</DIV></TD>
      </TR>

      <TR $cb><TD COLSPAN=2>&nbsp;</TD></TR>

      <TR $cb>
        <TD VALIGN=TOP><DIV CLASS=nbody><B>Edit Store</B></DIV></TD>
        <TD><DIV CLASS=nbody><B>
          <A HREF="edit_allcommerce.cgi?store=$store">[ AllCommerce ]</A>
             &nbsp;&nbsp;
          <A HREF="edit_webserver.cgi?store=$store">[ Webserver ]</A>
             &nbsp;&nbsp;
          <A HREF="edit_ssl.cgi?store=$store">[ SSL ]</A>
             &nbsp;&nbsp;
          <A HREF="edit_zip.cgi?store=$store">[ Zip Code ]</A>
             &nbsp;&nbsp;
        <P>
          <A HREF="setup_csr.cgi?store=$store">[ Generate CSR ]</A>
EOF02
  if ($payproc ne "none") {
    print <<PAYPROC;
            &nbsp;&nbsp;
          <A HREF="edit_cashregister.cgi?store=$store">[ Cash Register ]</A>
PAYPROC
  }

print <<EOF03;
        </B></DIV></TD>
      </TR>

      <TR $cb><TD COLSPAN=2>&nbsp;</TD></TR>

      <TR $cb>
        <TD>&nbsp;</TD>
        <TD><DIV CLASS=nbody>
          <INPUT TYPE=RADIO NAME="DEL" VALUE="$store"> &nbsp;<B>Delete this Store</B>
        </DIV></TD>
      </TR>

      <TR $cb><TD COLSPAN=2>&nbsp;</TD></TR>

EOF03
  }

print <<EOF03;

      <TR $cb><TD COLSPAN=2 ALIGN=RIGHT><DIV CLASS=nbody>
        <INPUT TYPE=SUBMIT VALUE="Delete Selected Store">
      </DIV></TD></TR>
    </TABLE>
  </TD>
</TR>
</TABLE></CENTER></FORM><P>
EOF03

  }
  else {
    print <<END;
    <P><B>There are no stores defined.</B>
    </TD>
  </TR>
  <TR $cb><TD COLSPAN=2>&nbsp;</TD></TR>
  </TABLE><P>
END
  }

  ### Good ol' footer.
  &ryanFooter("/VHost");
