#!/usr/bin/perl

  use strict;

  ### Go into our base directory and gather up all of the directory names.
  chdir "/home/httpd";
  my @dirs  =  glob "*";

  ### Iterate through each directory and run_stats if it is a store directory.
  foreach my $d (@dirs) {
    if ( -e "$d/conf/site.pm") {
      chdir "$d";
      system "crons/run_stats.pl > /dev/null 2>&1";
      chdir "/home/httpd";
    }
  }

  ### Exit quietly.
  exit 0;
