#!/usr/bin/perl

  require '../../apache-lib.pl';
  &ReadParse();

  $openssl = "/usr/bin/openssl";
  $key     = "/home/httpd/$in{'store'}/ssl/key.pem";
  $store   = $in{'store'};

  if (!$in{'countryName'}) { &PrintError("Please enter a Country Name"); }
  elsif (!$in{'stateOrProvinceName'}) {
    &PrintError("Please enter a State or Provence");
  }
  elsif (!$in{'localityName'}) {
    &PrintError("Please enter a City");
  }
  elsif (!$in{'organizationName'}) {
    &PrintError("Please enter an Organization");
  }
  elsif (!$in{'commonName'}) {
    &PrintError("Please enter an Authority Name");
  }
  elsif (!$in{'emailAddress'}) {
    &PrintError("Please enter an E-Mail Address");
  }


  ### Setup temporary file.
  $csr_temp = &tempname(); 


  ### Open a pipe to ssl and give it our info, and output the cert and key.
  open OPENSSL, "| $openssl req -new -key $key -out $csr_temp > /dev/null 2>&1";
    print OPENSSL "$in{'countryName'}\n";
    print OPENSSL "$in{'stateOrProvinceName'}\n";
    print OPENSSL "$in{'localityName'}\n";
    print OPENSSL "$in{'organizationName'}\n";
    print OPENSSL "$in{'organizationalUnitName'}\n";
    print OPENSSL "$in{'commonName'}\n";
    print OPENSSL "$in{'emailAddress'}\n";
    print OPENSSL "\n";
    print OPENSSL "\n";
  close OPENSSL;

  open CSR, $csr_temp;
    while (<CSR>) { $csr .= $_; }
  close CSR;

  ### We're all done so let's remove our temporary files.
  unlink $csr_temp;

  $csr_urlized = &urlize($csr);
  &redirect("display_csr.cgi?store=$store&csr=$csr_urlized");

